<?php
/**
 * $Horde: orator/export.php,v 1.17 2005/01/03 14:35:23 jan Exp $
 *
 * Copyright 2001-2005 Steve Bower, <steve@alcyon.net>
 * Copyright 2001-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information. If you did
 * not receive this file, see http://www.horde.org/asl.php.
 */

function copyFile($src, $dest = '')
{
    static $files;
    if (!isset($files)) {
        $files = array();
    }

    if (!isset($files[$src])) {
        $files[$src] = true;

        if (empty($dest)) {
            $dest = basename($src);
        }
        copy($src, $GLOBALS['conf']['export']['path'] . '/' . $GLOBALS['p'] . '/' . basename($dest));
    }
}

@define('ORATOR_BASE', dirname(__FILE__));
require_once ORATOR_BASE . '/lib/base.php';
require_once ORATOR_BASE . '/lib/Slide.php';

if (!Auth::isAdmin()) {
    exit('forbidden.');
}

$p = Util::getFormData('p');
if (!isset($p)) {
    exit('you must specify the presentation to export');
}

$presobj = &new Presentation();
if ($presobj->load($p) == -1) {
    Horde::fatal(PEAR::raiseError($presobj->last_error()), __FILE__, __LINE__);
}

$pres = $presobj->get_pres_info();

// Make the export dir.
if (!@file_exists($conf['export']['path'] . '/' . $p)) {
    mkdir($conf['export']['path'] . '/' . $p, 0700);
}

if (empty($conf['export']['single'])) {
    // Write the css file.
    $_GET['inherit'] = 'no';
    $_GET['app'] = $registry->getApp();
    // FIXME: Need to rework how to do this completely for the new
    // theme setup.
    /*
    $fp = fopen($conf['export']['path'] . '/' . $p . '/presentation.css', 'w');
    fwrite($fp, $css);
    fclose($fp);
    echo 'Wrote CSS<br />';
    */

    // Write the footer frame.
    $presentors = '';
    foreach ($pres['presentors'] as $presentor) {
        $presentors .= $presentor['name'] . ', ';
    }
    $_GET['presentors'] = substr($presentors, 0, -2);
    $_GET['presentation'] = $pres['title'];
    $_GET['date'] = $pres['date'];

    $footer = Util::bufferOutput('include', ORATOR_BASE . '/footer.php');
    $footer = preg_replace('|(<link href=").*(" rel.*>)|', '\1presentation.css\2', $footer);
    $fp = fopen($conf['export']['path'] . '/' . $p . '/presentation_footer.html', 'w');
    fwrite($fp, $footer);
    fclose($fp);
    echo 'Wrote footer<br />';

    // Write frameset
    $frameset = Util::bufferOutput('include', ORATOR_TEMPLATES . '/export/frames.inc');
    $fp = fopen($conf['export']['path'] . '/' . $p . '/index.html', 'w');
    fwrite($fp, $frameset);
    fclose($fp);
    echo 'Wrote frameset<br />';

    // Dump the slides in.
    for ($s = 0; $s < count($pres['slides']); $s++) {
        $slide = &Slide::factory($conf['export']['driver'], $presobj, $s);
        $slide->load();
        // Open the output file.
        $path = $conf['export']['path'] . '/' . $p . '/' . $s . '_' . $pres['slides'][$s]['src'] . '.html';
        $fp = fopen($path, 'w');
        fwrite($fp, $slide->output());
        fclose($fp);
        echo 'Wrote ' . $path . '<br />';
        flush();
    }
} else {
    // Create single file

    // Presentation header
    $presentors = '';
    foreach ($pres['presentors'] as $presentor) {
        $presentors .= $presentor['name'] . ', ';
    }
    $text = $pres['title'] . "\n\n";
    $text .= 'Presented by ' . substr($presentors, 0, -2);
    $text .= ' on ' . $pres['date'];
    $text .= "\n\n--------------------------------\n\n";

    // Dump the slides in.
    for ($s = 0; $s < count($pres['slides']); $s++) {
        $slide = &Slide::factory($conf['export']['driver'], $presobj, $s);
        $slide->load();
        $text .= $slide->output();
    }

    $fp = fopen($conf['export']['path'] . '/' . $p . '/presentation', 'w');
    fwrite($fp, $text);
    fclose($fp);
    echo 'Wrote presentation<br />';
}
