<?php

require_once ORATOR_BASE . '/lib/Slide/html.php';

/**
 * An object that provides a interface to a presentation file.
 *
 * $Horde: orator/lib/Slide/static.php,v 1.11 2004/10/19 15:22:13 mdjukic Exp $
 *
 * @version $Revision: 1.11 $
 * @package Orator
 */
class Slide_static extends Slide_html {

    /**
     * Constructor for Slide_static.
     * @access public
     */
    function Slide_static($presentation, $slide)
    {
        parent::Slide_html($presentation, $slide);
    }

    function displayImage(&$node)
    {
        copyFile($this->presentation->path . '/' . $node['attribs']['src'], $node['attribs']['src']);
        return "<img src='" . $node['attribs']['src'] . "' alt='' border='0' /><br />\n";
    }

    function displayResource(&$node)
    {
        copyFile($this->presentation->path . '/' . $node['attribs']['src'], $node['attribs']['src']);
        return Horde::link(Horde::url($node['attribs']['src']),
                           $node['attribs']['label']) . $node['attribs']['label'] . '</a>';
    }

    function displayNote(&$node)
    {
        return '<p class="oratorNote">' . $this->present($node) . '</p>';
    }

    function header()
    {
        $html = parent::header();
        $html = preg_replace('|(<link href=").*(" rel.*>)|', '\1presentation.css\2', $html);
        return $html;
    }

    function getPrevious($title)
    {
        return ($this->slide - 1) . '_' . $title . '.html';
    }

    function getNext($title)
    {
        return ($this->slide + 1) . '_' . $title . '.html';
    }

    function backImage()
    {
        copyFile($GLOBALS['registry']->get('fileroot') . '/graphics/back.png', 'presentation_back.png');
        return Horde::img('presentation_back.png', _("Back"), null, '');
    }

    function forwardImage()
    {
        copyFile($GLOBALS['registry']->get('fileroot') . '/graphics/forward.png', 'presentation_forward.png');
        return Horde::img('presentation_forward.png', _("Forward"), null, '');
    }

}
