<?php
/**
 * Orator base inclusion file.
 *
 * $Horde: orator/lib/base.php,v 1.19 2004/10/19 00:46:01 chuck Exp $
 *
 * This file brings in all of the dependencies that every Orator
 * script will need, and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('orator', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('ORATOR_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Find the base file path of Orator.
@define('ORATOR_BASE', dirname(__FILE__) . '/..');

// Orator base library.
require_once ORATOR_BASE . '/lib/Presentation.php';
