<?php
/* $Horde: orator/lib/error_handler.inc.php,v 1.4 2004/05/23 17:09:24 jan Exp $
 *
 * $Log: error_handler.inc.php,v $
 * Revision 1.4  2004/05/23 17:09:24  jan
 * Fix package names.
 *
 * Revision 1.3  2002/06/12 05:59:39  chuck
 * phpdoc/commenting fixes.
 *
 * Revision 1.2  2001/10/29 16:21:07  chuck
 * fix missing CDATA tags in example slides, and make php
 * source examples, references, and raw tags work.
 *
 * Revision 1.1.1.1  2001/10/04 19:22:45  jon
 * Initial import of a modified version of Steve Bower's Orator presentation
 * system.
 */

/**
 * An object that can handle internal errors
 *
 * This is an abstract class that can be used by other
 * php classes to handler internal errors
 *
 * @version $Revision: 1.4 $
 * @package Orator
 */ 
class error_handler {

    /**
     *  The last error reported by this class
     *
     *  This var is used to report the last error that occurred
     * 
     *  @var  string  
     *  @see          __error()
     */
    var   $error;
    
    /**
     *  Constructor for error_handler
     */
    function error_handler(){
      $this->error = "";
    }

    /** 
     *  Sets the internal error string
     *
     *  @param string   The new error string
     *  @return int -1
     */
    function __error( $str ){
      $this->error = $str;
      return -1;
    }

    /**
     *  Returns the error string of the last error that occurred
     *
     *  @return string The last error
     */
    function last_error(){
      $err = $this->error;
      $this->error = "";
      return $err;
    }

  } /* error_handler */
?>
