<?php
/*
 * $Horde: orator/orator.php,v 1.18 2005/01/03 14:35:23 jan Exp $
 *
 * Copyright 2001-2005 Steve Bower, <steve@alcyon.net>
 * Copyright 2001-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information. If you did
 * not receive this file, see http://www.horde.org/asl.php.
 */

@define('ORATOR_BASE', dirname(__FILE__));
require_once ORATOR_BASE . '/lib/base.php';

if (!@is_readable($conf['paths']['presentations'])) {
    Horde::fatal(PEAR::raiseError('The presentation directory is not readable.'), __FILE__, __LINE__);
}

$admin = Auth::isAdmin();

$presentations = array();
$dir = dir($conf['paths']['presentations']);
$presentation = $dir->read();
while ($presentation !== false) {
    if ($presentation != '.' &&
        $presentation != '..' &&
        @is_readable($conf['paths']['presentations'] . '/' . $presentation . '/' . 'presentation.xml')) {
        $presentations[] = $presentation;
    }
    $presentation = $dir->read();
}
$dir->close();

if (count($presentations) < 1) {
    Horde::fatal(PEAR::raiseError('No presentations are available.'), __FILE__, __LINE__);
}

$presobj = &new Presentation();
$titles = array();
foreach ($presentations as $p) {
    if ($presobj->load($p) == -1) {
        Horde::fatal(PEAR::raiseError($presobj->last_error()), __FILE__, __LINE__);
    }
    $titles[$p] = array('title' => $presobj->getTitle(),
                        'slides' => count($presobj->get_slide_list()));
}

require_once ORATOR_TEMPLATES . '/common-header.inc';
require_once ORATOR_TEMPLATES . '/orator/header.inc';
foreach ($titles as $id => $info) {
    include ORATOR_TEMPLATES . '/orator/row.inc';
}
require_once ORATOR_TEMPLATES . '/orator/footer.inc';
require_once $registry->get('templates', 'horde') . '/common-footer.inc';
