<?php
/**
 * $Horde: orator/resource.php,v 1.19 2005/01/03 14:35:23 jan Exp $
 *
 * Copyright 2001-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information. If you did
 * not receive this file, see http://www.horde.org/asl.php.
 */

@define('ORATOR_BASE', dirname(__FILE__));
require_once ORATOR_BASE . '/lib/base.php';
require_once 'Horde/MIME.php';
require_once 'Horde/MIME/Part.php';
require_once 'Horde/MIME/Viewer.php';
require_once HORDE_BASE . '/config/mime_drivers.php';
require_once ORATOR_BASE . '/config/mime_drivers.php';

/* Get presentation info. */
$p = Util::getFormData('p');
if (!isset($p)) {
    $p = 'example';
}

$presobj = &new Presentation();
if ($presobj->load($p) == -1) {
    Horde::fatal(PEAR::raiseError($presobj->last_error()), __FILE__, __LINE__);
}

$pres = $presobj->get_pres_info();

/* Get resource info. */
$r = Util::getFormData('r');
$filename = $presobj->path . '/' . $pres['resources'][$r]['src'];
if (!isset($r)) {
    Horde::fatal(PEAR::raiseError('No resource was specified.'), __FILE__, __LINE__);
} elseif (!isset($pres['resources'][$r]) ||
    !@is_readable($filename)) {
    Horde::fatal(PEAR::raiseError("The specified resource ($r) was not found."), __FILE__, __LINE__);
}

$fp = fopen($filename, 'rb');
$data = fread($fp, filesize($filename));
fclose($fp);

$ob = &new MIME_Part($pres['resources'][$r]['type'], $data);
$viewer = &MIME_Viewer::factory($ob);
if (empty($viewer)) {
    Horde::fatal(PEAR::raiseError("Can't create MIME viewer for resource ($r)."), __FILE__, __LINE__);
}

$browser->downloadHeaders($r, $viewer->getType(), true);
echo $viewer->render();
